% struct2workspace(s)
%   assigns all of the argument's fields to the caller's workspace

function struct2workspace(s)

  % loop over structs
  for m = 1:numel(s)
    
    % get field names
    names = fieldnames(s(m));
    
    % assign them in the caller's workspace
    for n = 1:numel(names)
      assignin('caller', names{n}, s(m).(names{n}));
    end
    
  end
  
end
